#!/bin/sh
echo "++ unpacking old libffi.tar.gz"
gunzip <libffi.tar.gz | tar xf -
echo "++ updating contents via CVS"
( cd gcc; cvs -q update -P -d [a-z]* )
echo "++ packing new libffi.tar.gz"
tar cf - gcc | gzip -9 >libffi.tar.gz
date=`date '+%Y%m%d'`
echo "++ copying to libffi-$date.tar.gz"
cp libffi.tar.gz libffi-$date.tar.gz
echo "++ cleaning up"
rm -rf gcc
